import { customRef } from 'vue';
import type { Hanlder } from '../type';
export declare const Mut: MutDecorator;
type RefFactory = Parameters<typeof customRef>[0];
export interface MutDecorator {
    (): PropertyDecorator;
    /**
     * @param shallow 是否是浅层响应式
     */
    (shallow: true): PropertyDecorator;
    /**
     * 自定义ref 的实现
     * @param refFactory
     */
    (refFactory: RefFactory): PropertyDecorator;
    MetadataKey: string | symbol;
}
export declare function defMut(targetThis: Record<string | symbol, any>, key: string | symbol, options: any): void;
export declare const MutHandler: Hanlder;
export {};
